/************************************************************
*
*  Copyright (c) 2002-2004 Jakub Schwarzmeier
*
************************************************************/

#ifndef DISTRIBUTION_H
#define DISTRIBUTION_H

#include "data/list.h"
#include "barneshut/bh.h"

struct Corner
{
public:
	Vector<> corner;
	JakubSchwarzmeier::BarnesHut::Node::Angles angles;		//  Hilbert's angles for curve
};

void hilbertWalkThrough(
			JakubSchwarzmeier::Data::RList< JakubSchwarzmeier::BarnesHut::Leave > & sourceList,
			Corner & corner,
			double & bisect,
			JakubSchwarzmeier::Data::RList< JakubSchwarzmeier::BarnesHut::Leave > * destinationList
			);

#endif	// DISTRIBUTION_H