/************************************************************
*
*  Copyright (c) 2002-2004 Jakub Schwarzmeier
*
************************************************************/

#ifndef LANG_H
#define LANG_H

#include <windows.h>

#define SZ_LENGTH 1024

class Lang
{
public:

	Lang();
	~Lang();
	TCHAR * GetString(int iResourceId);		//  string is valid to next calling of function
	TCHAR * GetFileFilterString(int iResourceId);
	TCHAR * GetBuffer();
	HMENU LoadMenu(int iResourceId);
	HINSTANCE GetResourceInstance();
	void ShowLastError( int iResource );
	friend class TemplateDialog;

private:

	HINSTANCE hInstLangRes;
	TCHAR * buffer;

};

#endif // LANG_H