#define IDC_EDIT1	101
#include "../resource.h"

#ifndef IDC_STATIC
	#define IDC_STATIC (-1)
#endif

// common
#define IDS_NBODY_FILTERSTRING		5009
#define IDS_AVI_FILTERSTRING		5012

#define IDS_FILE_INCOMPLETE_MESSAGE	5039

// page computing parameters
#define IDD_PAGE_COMPUTATION		11000

#define IDC_NEW_GALAXY_ETHETA		5002
#define IDC_NEW_GALAXY_EEPSILON		5003
#define IDC_NEW_GALAXY_EDT		5004

//  page file names
#define IDD_PAGE_FILENAMES		12000
#define IDC_NEW_GALAXY_BUTTON_BROWSE_DIRECTORY 5002
#define IDC_NEW_GALAXY_NAME		5003
#define IDC_NEW_GALAXY_DIRECTORY	5004
#define IDC_NEW_GALAXY_DESCRIPTION	5005


//  Menus
//

// main menu
#define IDM_MAINMENU			1103
//  file
#define ID_FILE_NEW_GALAXY		1104
#define ID_FILE_NEW_ENCOUNTER		1105
#define ID_FILE_OPEN			1106
#define ID_FILE_CLOSE			1007
#define ID_FILE_EXIT			1108
//  connection
#define ID_CONNECTION_ESTABLISH		1110
#define ID_CONNECTION_CANCEL		1111
//  simulation
#define ID_SIMULATION_RUN		1120
#define ID_SIMULATION_TERMINATE		1121
//  help
#define ID_HELP_CONTENTS		1130
#define ID_HELP_INDEX			1131
#define ID_HELP_SEARCH			1132
#define ID_HELP_ABOUT			1133


//  strings

#define IDS_NEW_GALAXY_WIZARD_MAIN_TITLE	5001
#define IDS_NEW_GALAXY_WIZARD_HEADER_TITLE1	5002
#define IDS_NEW_GALAXY_WIZARD_HEADER_TITLE2    	5003
#define IDS_NEW_GALAXY_WIZARD_HEADER_TITLE3   	5004
#define IDS_NEW_GALAXY_WIZARD_HEADER_TITLE4	5005
#define IDS_NEW_GALAXY_WIZARD_HEADER_TITLE5	5006
#define IDS_NEW_GALAXY_WIZARD_HEADER_TITLE5	5006
#define IDS_NEW_GALAXY_WIZARD_HEADER_TITLE6	5007
#define IDS_NEW_GALAXY_WIZARD_HEADER_TITLE7	5008

#define IDS_NEW_GALAXY_WIZARD_DISK_MODEL1 	5010
#define IDS_NEW_GALAXY_WIZARD_DISK_MODEL2 5011

#define IDS_NEW_GALAXY_WIZARD_BULGE_MODEL1 5015
#define IDS_NEW_GALAXY_WIZARD_BULGE_MODEL2 5016

#define IDS_NEW_GALAXY_WIZARD_HALO_MODEL1 5020
#define IDS_NEW_GALAXY_WIZARD_HALO_MODEL2 5021

#define IDS_NEW_GALAXY_WIZARD_DARKHALO_MODEL1 5025
#define IDS_NEW_GALAXY_WIZARD_DARKHALO_MODEL2 5026

#define IDS_NEW_GALAXY_WIZARD_SELECT_COMPONENT 5027

#define IDS_ENCOUNTER_WIZARD_MAIN_TITLE 5028
#define IDS_ENCOUNTER_WIZARD_HEADER_TITLE1 5029
#define IDS_ENCOUNTER_WIZARD_HEADER_TITLE2 5032
#define IDS_ENCOUNTER_WIZARD_HEADER_TITLE31 5033
#define IDS_ENCOUNTER_WIZARD_HEADER_TITLE32 5037
#define IDS_ENCOUNTER_WIZARD_HEADER_TITLE4 5034
#define IDS_ENCOUNTER_WIZARD_HEADER_TITLE5 5038

#define IDS_NEW_GALAXY_WIZARD_FILENAMESREQUIRED 5035
#define IDS_NEW_GALAXY_WIZARD_CHOOSE_DIRECTORY 5036

//  New galaxy wizard
//

//  common
#define IDC_NEW_GALAXY_POSITION_DISTRIBUTION 5020
#define IDC_NEW_GALAXY_VELOCITY_DISTRIBUTION 5021

// welcome page
#define IDD_NEW_GALAXY_PAGE_WELCOME	5000

// page 1, components
#define IDD_NEW_GALAXY_PAGE_COMPONENTS		6000

#define IDC_NEW_GALAXY_CHBDARKHALO	5001
#define IDC_NEW_GALAXY_CHBHALO		5002
#define IDC_NEW_GALAXY_CHBBULGE		5003
#define IDC_NEW_GALAXY_CHBDISC		5004

#define IDC_NEW_GALAXY_ECDARKHALO	5005
#define IDC_NEW_GALAXY_ECHALO		5006
#define IDC_NEW_GALAXY_ECBULGE		5007
#define IDC_NEW_GALAXY_ECDISC		5008

#define IDC_NEW_GALAXY_EMDARKHALO	5009
#define IDC_NEW_GALAXY_EMHALO		5010
#define IDC_NEW_GALAXY_EMBULGE		5011
#define IDC_NEW_GALAXY_EMDISC		5012

#define IDC_NEW_GALAXY_TMTOTAL		5013
#define IDC_NEW_GALAXY_TCTOTAL		5014

// page 2 disk
#define IDD_NEW_GALAXY_PAGE_DISC 	7000

#define IDC_NEW_GALAXY_ERD 		5002
#define IDC_NEW_GALAXY_EAD		5003
#define IDC_NEW_GALAXY_EZ0		5004

#define IDC_NEW_GALAXY_RBCOLD		5005
#define IDC_NEW_GALAXY_RBWARM		5006
#define IDC_NEW_GALAXY_EZVELDISP	5007
#define IDC_NEW_GALAXY_ETOOMRESQ	5008
 
// page 3 bulge
#define IDD_NEW_GALAXY_PAGE_BULGE 	8000

#define IDC_NEW_GALAXY_EAB		5002
#define IDC_NEW_GALAXY_ERB		5003

// page 4 halo
#define IDD_NEW_GALAXY_PAGE_HALO	9000

#define IDC_NEW_GALAXY_EAH		5002
#define IDC_NEW_GALAXY_ERH		5003


// page 5 dark halo
#define IDD_NEW_GALAXY_PAGE_DARKHALO	10000

#define IDC_NEW_GALAXY_EGAMMA		5002
#define IDC_NEW_GALAXY_EADH		5003
#define IDC_NEW_GALAXY_ERDH		5004


//  final page
#define IDD_NEW_GALAXY_PAGE_FINAL	13000
#define IDC_NEW_GALAXY_PROGRESSBAR	5002


//  Establish Connection dialog
//
#define	IDD_ESTABLISH_CONNECTION	14000
#define IDC_ESTABLISH_CONNECTION_IPADDRESS	5001

#define IDC_CMLIST			5000
#define IDC_COUNTOFCM			5002
#define IDC_CONTINUE			5003
#define IDS_CANCEL_CONNECTION_QUESTION 5030
#define IDS_CANCEL_CONNECTION_CAPTION 5031

#define IDS_UNICODE_NEEDED 		1000
#define IDS_TITLE_BAR			1001
#define IDS_WSASTARTUP_ERROR		1002
#define IDS_LISTENING_SOCKET_ERROR	1003
#define IDS_BIND_ERROR			1004
#define IDS_LISTEN_ERROR		1005
#define IDS_ASYNC_ERROR			1006


//  Encounter Dialog
//

//  welcome page
#define IDD_ENCOUNTER_PAGE_WELCOME 		15000

//  initial files page
#define IDD_ENCOUNTER_PAGE_INITIAL_FILES	16000
#define IDC_ENCOUNTER_BCENTRAL	5001
#define IDC_ENCOUNTER_BCOMPANION	5002

//  choose kind of simulation

#define IDD_ENCOUNTER_CHOOSE_KIND	23000
#define IDC_KEPLERIAN		5001
#define IDC_DIRECT		5002

//  encounter parameters page
#define IDD_ENCOUNTER_PAGE_ENCOUNTER_PARAMETERS	17000
#define IDC_ENCOUNTER_ETHETA			5001
#define IDC_ENCOUNTER_ERP			5002
#define IDC_ENCOUNTER_ETP			5003

//  central galaxy parameters
#define IDD_ENCOUNTER_PAGE_CENTRAL_GALAXY_PARAMETERS 18000
#define IDC_ENCOUNTER_EINCLINATION	5001
#define IDC_ENCOUNTER_EARGOFPERICENTRE  5002

//  companion galaxy parameters
#define IDD_ENCOUNTER_PAGE_COMPANION_GALAXY_PARAMETERS 19000

//  files page
//  taken from newgalaxy

//  final page
#define IDD_ENCOUNTER_PAGE_FINAL	20000

//  direct encounter parameters
#define IDD_ENCOUNTER_DIRECT_PARAMETER 24000
#define IDC_VELOCITY_OF_COMPANION	5001
#define IDC_INITIAL_DISTANCE_TO_CENTER		5002
#define IDC_DISTANCE_TO_CENTER_DURING_PASSAGE	5003


//  Terminate Simulation Dialog
//

#define IDD_TERMINATE_SIMULATION	21000
#define IDC_TERMINATE_SIMULATION_WAIT_FOR_NEXT_SIMULATION 5001
#define IDC_TERMINATE_SIMULATION_QUIT_PROGRAM 5002
#define IDC_TERMINATE_SIMULATION_LOGOUT_USER 5003
#define IDC_TERMINATE_SIMULATION_TURNOFF_COMPUTER 5004

#define IDD_WAIT_FOR_TERMINATE		22000
