/************************************************************
*
*  Copyright (c) 2002-2004 Jakub Schwarzmeier
*
************************************************************/

#include "general.h"
#include "../server.h"
#include <stdio.h>

int currentlyRecievedBody;

DWORD WINAPI WorkerThread( LPVOID lpParameter )
{
	HANDLE hCompletionPort = lpParameter;

//	FILE * f = fopen("D:\\prijato.dbg", "w");

	while (TRUE)
	{
		DWORD dwBytesTransffered;
		OVERLAPPED * lpOverlapped;	//  points "out"
		client * Client;			//  points "out"

		BOOL bSuccess = GetQueuedCompletionStatus( hCompletionPort, &dwBytesTransffered,
			(unsigned long *) &Client, &lpOverlapped, INFINITE );

		//  unused for now
 		if ( Server->bServiceTerminating )
		{
			return 0;		//  terminates thread
		}

		if ( bSuccess )
		{
			if ( Client->ReadOperation(lpOverlapped, dwBytesTransffered) )
			{	
//				if ( dwBytesTransffered == 0 ) continue;		//  why?
		
				//  IORead

				while ( Client->NextMessage() )
				{
					crackmessage CrackMessage;
					Client->getMessage( CrackMessage );

					switch( CrackMessage.GetCode() )
					{
					case UI_COMPUTATION_DONE:

						while ( CrackMessage.NextData() )			
						{
							unsortedBodiesList->getAt(currentlyRecievedBody).position[0] = CrackMessage.GetDouble();
							unsortedBodiesList->getAt(currentlyRecievedBody).position[1] = CrackMessage.GetDouble();
							unsortedBodiesList->getAt(currentlyRecievedBody).position[2] = CrackMessage.GetDouble();
							unsortedBodiesList->getAt(currentlyRecievedBody).velocity[0] = CrackMessage.GetDouble();
							unsortedBodiesList->getAt(currentlyRecievedBody).velocity[1] = CrackMessage.GetDouble();
							unsortedBodiesList->getAt(currentlyRecievedBody).velocity[2] = CrackMessage.GetDouble();
							unsortedBodiesList->getAt(currentlyRecievedBody).mass = CrackMessage.GetDouble();
							unsortedBodiesList->getAt(currentlyRecievedBody).load = CrackMessage.GetDouble();
							currentlyRecievedBody++;
//							fprintf(f, "%d\n", currentlyRecievedBody); fflush(f);
							if ( currentlyRecievedBody == nTotalBodies )
							{
								currentlyRecievedBody = 0;

								if ( (terminateSimulationID != 0) && (nCyclesToResend == 0) )
								{
									isSimulationRunning = false;
									
									//  close terminating dialog
									SendMessage(GetWindow(g_hWnd, GW_HWNDPREV), WM_CLOSE, 0, 0);

									if (terminateSimulationID > 1)
									{
									//   if (terminateSimulationID == 1)  no action, just not send the new data

										message terminatingMessage(sizeof(BYTE));

										for(int i = 0; i < Server->Clients.getCount(); i++)
										{
											terminatingMessage.Initialize(CM_TERMINATE_SIMULATION);
											terminatingMessage.Add( terminateSimulationID );
											terminatingMessage.Finish();
											Server->Clients[i].WriteFile( terminatingMessage.GetBuffer(), terminatingMessage.GetBufferSize() );
										}

										delete Server;
										Server = NULL;
										
										return 0;		 //  terminate thread
									}
								}

								if ( (terminateSimulationID == 0) && (nCyclesToResend == 0) )
								{
									nCyclesToResend = 6;
									OrderAndSendData();
								}
								nCyclesToResend--;

								//  predchozi je asynchroni takze mozna pockat az se dokonci
								auxInfo->WriteData();

							}
						}

						break;

					case UI_WAITING_FOR_CONNECT_PERMISSION:
						{

						nListenMachines++;
						message mConnectionPermission(0);
						if ( nListenMachines == Server->Clients.getCount() )
						{
							for(int i = 0; i < Server->Clients.getCount(); i++)
							{
								mConnectionPermission.Initialize(CM_CONNECT_TO_OTHERS);	//  cannot be before, because each buffer is freed
								mConnectionPermission.Finish();
								Server->Clients[i].WriteFile( mConnectionPermission.GetBuffer(), mConnectionPermission.GetBufferSize() );
							}
						}

						}
						break;

					default:
						
						MessageBox( (TCHAR*)Client->ReadBuffer );
						break;
					
					}	//  end switch
				
				}	//  end while

		        // pend another read request to get the next client request
				Client->ReadFile();

			}
			else
			{
				//  IOWrite
	//			MessageBox( TEXT("IOWrite Done") );
			}
		}
		else
		{
			if ( Client->ReadOper( lpOverlapped ) )
				MessageBox(TEXT("Error during read"));

			else
				MessageBox(TEXT("Error during write"));

			ShowLastError();
		}
    
		//
		// loop around to get another completed IO request
		//
	}

}