#ifndef AUDIOVIDEO_H
#define AUDIOVIDEO_H

#include <windows.h>
#include <vfw.h>

#pragma comment(lib, "vfw32.lib")

namespace JakubSchwarzmeier
{
	namespace Windows
	{
	
		class AudioVideo
		{
		public:

			AudioVideo();
			~AudioVideo();
			BOOL CreateFile(TCHAR * strFileName, HBITMAP hDIBSection);
			BOOL WriteFrame (HBITMAP hDIBSection);

		protected:
			
			IAVIFile * pIAVIFile;		//  pointer to the new IAVIFile interface
			IAVIStream * pIAVIStream;	//  pointer to the new stream interface
			IAVIStream * pIAVICompressedStream;  //  pointer to the compressed stream interface

			UINT nFrame;				//  current number of frame

		};	//  end class AudioVideo
	
	}	//  end namespace Windows

}	//  end namespace JakubSchwarzmeier


#endif	//  AUDIOVIDEO_H