//  Modifications to Visual Studio generated code given.

// Farmer.h : Defines the ATL Server request handler class
//

#pragma once

#include <MFC.Net.WebServices.h>

namespace FarmerService
{
// all struct, enum, and typedefs for your webservice should go inside the namespace

// IFarmerService - web service interface declaration
//
[
	uuid("6955B928-A0C5-462c-8CE8-942DABAF7210"), 
	object
]
__interface IFarmerService
{
	// HelloWorld is a sample ATL Server web service method.  It shows how to
	// declare a web service method and its in-parameters and out-parameters
	[id(1)] HRESULT HelloWorld([in] BSTR bstrInput, [out, retval] BSTR *bstrOutput);
	// TODO: Add additional web service methods here
};


// FarmerService - web service implementation
//
[
	//  THIS HAS TO BE COMMENTED -  NOT A REQ HANDLER ANYMORE
	//  IT MUST BE REPLACED by a method returning the request_handler name
	//  request_handler(name="Default", sdl="GenFarmerWSDL"),
	soap_handler(
		name="FarmerService", 
		namespace="urn:FarmerService",
		protocol="soap"
	)
]
class CFarmerService:
	public IFarmerService,
	public JakubSchwarzmeier::MFC::Net::WebServices::CSoapInvoker<CFarmerService>
{
public:
	// override this in your service class to provide the name of your service
	// make sure that, on the client side, you set the URL to something ending with "Handler=ThisName"
	static LPCSTR ServiceName()
	{
		return "FarmerService";
	}

	// This is a sample web service method that shows how to use the 
	// soap_method attribute to expose a method as a web method
	[ soap_method ]
	HRESULT HelloWorld(/*[in]*/ BSTR bstrInput, /*[out, retval]*/ BSTR *bstrOutput)
	{
		CComBSTR bstrOut(L"Hello ");
		bstrOut += bstrInput;
		bstrOut += L"!";
		*bstrOutput = bstrOut.Detach();
		
		return S_OK;
	}

	// TODO: Add additional web service methods here
}; // class CFarmerService

} // namespace FarmerService
