#pragma once

#ifndef _AFXEXT
	#ifdef _UNICODE
		#ifdef _DEBUG
			#pragma comment(lib, "SFC.Graphics_debug.lib")
		#else
			#pragma comment(lib, "SFC.Graphics_release.lib")
		#endif
	#else
		#pragma message( "SFC: Only for unicode builds." )
	#endif
#endif


namespace JakubSchwarzmeier
{
	namespace SFC
	{
		namespace Graphics
		{
			//  Initialize this namespace
			
			static class Graphics
			{
			public:
				Graphics()
				{
				}

				~Graphics()
				{
				}
			} graphics;

			class COpenGLView;
			class CObserver;
		}
	}
}

#include "std.h"
#include "../src/sfc/graphics/openglview.h"
#include "../src/sfc/graphics/observer.h"
