#pragma once

#ifndef VC_EXTRALEAN
#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers
#endif

//  defines for windows.h
#define _WIN32_WINNT 0x0501		//  CoInitializeEx need at least 0x0400
#define _WIN32_IE 0x0501		//  Target IE 5.01 or later.

//  Winsock must be included before windows.h; this also includes windows.h
#include <winsock2.h>
#undef _WINDOWS_				//  MFC won't have windows.h to be included
								//  so make this workaround
//  Include MFC headers
//

#define _AFX_ALL_WARNINGS	// turns off MFC's hiding of some common and often safely ignored warning messages
#define _ATL_CSTRING_EXPLICIT_CONSTRUCTORS	// some CString constructors will be explicit

#include <afxwin.h>		//  includes afx.h
#include <afxtempl.h>
#include <afxcoll.h>
#include <afxmt.h>		//  thread synchronization objects

//  Include ATL headers
//

#include <atlcoll.h>
#include <afxdlgs.h>
//  ATL Soap
/*
#include <atlcom.h>
#include <atlsoap.h>
#include <atlsiface.h>
#include <atlrx.h>
*/

//  Include Windows headers & libraries
//

#include <shlwapi.h>
#pragma comment(lib, "shlwapi.lib")

//  Include COM utility library
//
#include <comdef.h>

//  Undef is because from namespaces other then SFC.System it must look like 
//  we are in client app, we want to link SFC.System libraries.

#if defined(_AFXEXT) & !defined(_AFXEXT_SFC_SYSTEM)
	#undef _AFXEXT
	#define _AFXEXT_DEF
#endif
#include <SFC.System.h>
#ifdef _AFXEXT_DEF
	#define _AFXEXT
#endif

