#ifndef STD_H
#define STD_H

#ifdef WIN32
	#ifndef _LIB
		#ifdef _DEBUG
			#pragma comment(lib, "std-debug.lib")
		#else
			#pragma comment(lib, "std-release.lib")
		#endif
	#endif

//  #pragma warning( push )
#pragma warning(disable:4786)		//  disable STL's too long debug info warning 
//  #pragma warning(disable: 4267)		//  disable warning "possible loss of data"

#endif


#include "../../src/std/math/math_ext.h"
#include "../../src/std/math/matrix.h"
#include "../../src/std/math/vector.h"
#include "../../src/std/math/quaternion.h"
#include "../../src/std/math/interpolationapproximation.h"

#include "../../src/std/graphics/camera.h"
#include "../../src/std/graphics/modelmatrix.h"

#include "../../src/std/data/octtree.h"
#include "../../src/std/simulation/barneshut/bh.h"

//  #pragma warning( pop )

#endif //  STD_H
