#ifndef WX_H
#define WX_H

#ifndef _LIB
	#ifdef _DEBUG
		#pragma comment(lib, "wx-debug.lib")
	#else
		#pragma comment(lib, "wx-release.lib")
	#endif
#endif


//  #pragma warning( push )
#pragma warning(disable:4786)		//  disable STL's too long debug info warning 
//  #pragma warning(disable: 4267)		//  disable warning "possible loss of data"

//  LIBXML
#include <libxml/xmlmemory.h>
#include <libxml/parser.h>
#include <libxml/xpath.h>

//  Jakub Schwarzmeier
#include "../../src/wx/docchildframe.h"
#include "../../src/wx/view.h"
#include "../../src/wx/app.h"

#include "../../src/wx/glCanvas.h"
#pragma comment(lib, "glew32mx.lib")
#include "../../src/wx/openglcanvas.h"
#include "../../src/wx/openglview.h"

#include "../../src/wx/observer.h"
#include "../../src/wx/frustum.h"

#include "../src/wx/SerializeReaderWriter.h"

#include "../src/wx/valdouble.h"
#include "../src/wx/valint.h"
#include "../src/wx/valnotnull.h"

#include "../src/wx/threedmodel.h"
#include "../src/wx/ms3dmodel.h"
#include "../src/wx/freetype.h"

//  #pragma warning( pop )

#endif //  STD_H