#pragma once

namespace JakubSchwarzmeier
{
	namespace MFC
	{
		namespace Net
		{
			namespace Sockets
			{
				class AFX_EXT_CLASS CHttpProcessor: public IProtocol
				{
				public:
					// Construction/destruction	
					CHttpProcessor();
					virtual ~CHttpProcessor() {}

					// Implementation
					// Overridables
					virtual bool HandleRequest(const char n_buffer[], const DWORD n_dwSize, 
						/*[in/out]*/DWORD & n_dwPosition, char ** outData, DWORD & dwOutDataSize);
					// Attributes
	 
				protected:
					// Messages
					
					JakubSchwarzmeier::MFC::System::IO::CBuffer m_unfinishedBuffer;

				private:

					bool GetLine(const char buffer[], 
						const DWORD dwSize, 
						DWORD & dwNumberOfChars);

					bool GetSpace(const char buffer[], 
						const DWORD dwSize, 
						DWORD & dwNumberOfChars);

					static const char m_szcHTTP[];

				};	//  end class CHttpReciever

			}	//  end namespace Sockets
		
		}	//  end namespace Net

	} 	//  end namespace MFC

}	//  end namespace JakubSchwarzmeier

