#include "stdafx.h"

#include "MFC.Net.h"

using namespace JakubSchwarzmeier::MFC::Net::Sockets;

CWinsockException::CWinsockException(BOOL bAutoDelete, int iErrorCode): CBaseException(bAutoDelete)
{
	LPTSTR szError;

	//  lpMessage contains error message from Windows
	FormatMessage( FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM, NULL, 
		iErrorCode, 0, reinterpret_cast<LPTSTR>(&szError), 0, NULL);

	m_strCauseBody = szError;

	LocalFree( szError );
}