#pragma once

#include <SFC.System.h>

namespace JakubSchwarzmeier
{
	namespace SFC
	{
		namespace System
		{
			namespace IO
			{
				class AFX_EXT_CLASS CCompletionPort
				{
				public:
					// Constructors
					CCompletionPort(int n_priority = THREAD_PRIORITY_NORMAL);
					virtual ~CCompletionPort();

					// Attributes
					// Overridables

					// Implementation
					BOOL Associate(IIOCPStream * n_stream);
					operator HANDLE() const;
	 
				protected:

					HANDLE m_hCompletionPort;
					CWinThread * m_workerThread;
					bool m_bServiceTerminating;

					static UINT WorkerThread( LPVOID lpParameter );

				};	//  end class CCompletionPort

			}	// end namespace IO

		}	//  end namespace System

	} 	//  end namespace SFC

}	//  end namespace JakubSchwarzmeier

