/************************************************************
*
*  Copyright (c) 2006 Jakub Schwarzmeier
*
************************************************************/

#ifndef _WX_APPI_H_
#define _WX_APPI_H_

#include <wx/app.h>
#include <wx/intl.h>

namespace JakubSchwarzmeier
{
	namespace wx
	{
		class CApp: public ::wxApp
		{
		public:

			CApp();
			virtual ~CApp() {};
			virtual bool OnInit();
			virtual int OnExit(void);
			wxDocManager * GetDocManager();
			wxLocale * GetLocale();

		protected:

			wxDocManager * m_docManager;
			wxWindow * m_frame;
			wxLocale m_locale;

		protected:

			void OnAppQuit(wxCommandEvent& event);
			void OnFileNew(wxCommandEvent& event);

			DECLARE_EVENT_TABLE()

		};	//  end class CApp

	}	//  end namespace wx

}	//  end namespace JakubSchwarzmeier

#endif // _WX_APPI_H_