#ifndef __FREETYPE__
#define __FREETYPE__

#include <string>

namespace JakubSchwarzmeier
{
	namespace wx
	{
		class CFreetype
		{
		public:

			enum POS { TOP_LEFT, TOP_RIGHT, BOTTOM_LEFT, BOTTOM_RIGHT };

			CFreetype();
			void Create(std::string fileName, unsigned int h);
			~CFreetype();
			void PrintWindow(double x, double y, std::string strText, POS pos);
			void Print(std::string text);

			std::string GetFileName();
			double GetHeight();

		protected:

			std::string m_fileName;
			double m_height;
			GLuint * m_textures;
			int * m_fontWidths;
			GLuint m_listBase;	// ID of first display list
		};

	}	//  end namespace wx

}	//  end namespace JakubSchwarzmeier

#endif //__FREETYPE__