#ifndef __MS3DMODEL__
#define __MS3DMODEL__

#include "threedmodel.h"

namespace JakubSchwarzmeier
{
	namespace wx
	{
		class CMS3DModel: public CThreedModel
		{
		public:

			CMS3DModel(COpenGLCanvas * openGLCanvas);
			~CMS3DModel();

			virtual void Load( std::string filename );

		protected:

			GLuint * m_texture;

		private:
			#include "ms3dspec.h"		//  from MilkShape3D SDK, edited
		};

	}  //  end namespace wx

}  //  end namespace JakubSchwarzmeier

#endif // __MS3DMODEL__