#include "stdafx.h"

#include "BodyNewDlg.h"
#include "BodyPropertiesPnl.h"

IMPLEMENT_CLASS(CBodyNewDlg, wxDialog)

BEGIN_EVENT_TABLE(CBodyNewDlg, wxDialog)

	EVT_BUTTON( wxID_OK, CBodyNewDlg::OnOK )

END_EVENT_TABLE()

CBodyNewDlg::CBodyNewDlg()
{
}

CBodyNewDlg::CBodyNewDlg(wxWindow* win)
{
	Create(win);
}

bool CBodyNewDlg::Create(wxWindow* win)
{
	wxDialog::Create(win, wxID_ANY, _("Preferences"), wxDefaultPosition, wxDefaultSize,
        wxDEFAULT_DIALOG_STYLE
        |wxRESIZE_BORDER
    );

	SetExtraStyle( GetExtraStyle() | wxWS_EX_VALIDATE_RECURSIVELY );

    CBodyPropertiesPnl * propsCtrl = new CBodyPropertiesPnl;
	propsCtrl->SetClientData( GetClientData() );
	propsCtrl->Create( this );

    wxBoxSizer * main_sizer = new wxBoxSizer( wxVERTICAL );
    this->SetSizer( main_sizer );
	
	main_sizer->Add( propsCtrl, 0, wxALL, 5 );
	wxSizer * btns = CreateButtonSizer( wxOK | wxCANCEL );
	main_sizer->Add( btns, 0, wxALL | wxALIGN_CENTER, 5 );

    GetSizer()->Fit(this);
    GetSizer()->SetSizeHints(this);
    Centre();

	return true;
}

void CBodyNewDlg::OnOK( wxCommandEvent &event )
{
	if ( Validate() && TransferDataFromWindow() )
	{
		EndDialog( wxID_OK );
	}
}