#ifndef __BODYPROPERTIESDLG__
#define __BODYPROPERTIESDLG__

#include <wx/propdlg.h> 
#include <wx/generic/propdlg.h>

#include "BodyPropertiesPnl.h"
#include "CometPropertiesPnl.h"
#include "ExtendedBodyPropertiesPnl.h"
#include "IrregularBodyPropertiesPnl.h"

// Property sheet dialog
class CBodyPropertiesDlg: public wxPropertySheetDialog
{
DECLARE_CLASS(CBodyPropertiesDlg)
public:
    CBodyPropertiesDlg();
    CBodyPropertiesDlg(wxWindow* parent);

	bool Create(wxWindow* win);

protected:

    void OnOK( wxCommandEvent &event );

	CBodyPropertiesPnl * m_pBodiesPnl;
	CCometPropertiesPnl * m_pCometsPnl;
	CExtendedBodyPropertiesPnl * m_pExtendedBodyPnl;
	CIrregularBodyPropertiesPnl * m_pIrregularBodyPnl;

	DECLARE_EVENT_TABLE()
};

#endif //  __BODYPROPERTIESDLG__