/////////////////////////////////////////////////////////////////////////////
// Name:        ExtendedBodyPropertiesPnl.h
// Purpose:     
// Author:      Jakub Schwarzmeier
// Modified by: 
// Created:     08/29/06 17:31:29
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _EXTENDEDBODYPROPERTIESPNL_H_
#define _EXTENDEDBODYPROPERTIESPNL_H_

#if defined(__GNUG__) && !defined(__APPLE__)
#pragma interface "ExtendedBodyPropertiesPnl.cpp"
#endif

/*!
 * Includes
 */

////@begin includes
#include "wx/xrc/xmlres.h"
#include "wx/valgen.h"
////@end includes

/*!
 * Forward declarations
 */

////@begin forward declarations
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
#define IDD_EXTENDEDBODY 10067
#define SYMBOL_CEXTENDEDBODYPROPERTIESPNL_STYLE 0
#define SYMBOL_CEXTENDEDBODYPROPERTIESPNL_TITLE _("Extended Body")
#define SYMBOL_CEXTENDEDBODYPROPERTIESPNL_IDNAME IDD_EXTENDEDBODY
#define SYMBOL_CEXTENDEDBODYPROPERTIESPNL_SIZE wxSize(400, 300)
#define SYMBOL_CEXTENDEDBODYPROPERTIESPNL_POSITION wxDefaultPosition
////@end control identifiers

/*!
 * Compatibility
 */

#ifndef wxCLOSE_BOX
#define wxCLOSE_BOX 0x1000
#endif
#ifndef wxFIXED_MINSIZE
#define wxFIXED_MINSIZE 0
#endif

/*!
 * CExtendedBodyPropertiesPnl class declaration
 */

class CExtendedBodyPropertiesPnl: public wxPanel
{    
    DECLARE_DYNAMIC_CLASS( CExtendedBodyPropertiesPnl )
    DECLARE_EVENT_TABLE()

public:
    /// Constructors
    CExtendedBodyPropertiesPnl( );
    CExtendedBodyPropertiesPnl( wxWindow* parent, wxWindowID id = SYMBOL_CEXTENDEDBODYPROPERTIESPNL_IDNAME, const wxPoint& pos = SYMBOL_CEXTENDEDBODYPROPERTIESPNL_POSITION, const wxSize& size = SYMBOL_CEXTENDEDBODYPROPERTIESPNL_SIZE, long style = SYMBOL_CEXTENDEDBODYPROPERTIESPNL_STYLE );

    /// Creation
    bool Create( wxWindow* parent, wxWindowID id = SYMBOL_CEXTENDEDBODYPROPERTIESPNL_IDNAME, const wxPoint& pos = SYMBOL_CEXTENDEDBODYPROPERTIESPNL_POSITION, const wxSize& size = SYMBOL_CEXTENDEDBODYPROPERTIESPNL_SIZE, long style = SYMBOL_CEXTENDEDBODYPROPERTIESPNL_STYLE );

    /// Creates the controls and sizers
    void CreateControls();

////@begin CExtendedBodyPropertiesPnl event handler declarations

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for ID_BUTTON
    void OnButtonClick( wxCommandEvent& event );

////@end CExtendedBodyPropertiesPnl event handler declarations

////@begin CExtendedBodyPropertiesPnl member function declarations

    wxString GetTexture() const { return m_texture ; }
    void SetTexture(wxString value) { m_texture = value ; }

    /// Retrieves bitmap resources
    wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    wxIcon GetIconResource( const wxString& name );
////@end CExtendedBodyPropertiesPnl member function declarations

    /// Should we show tooltips?
    static bool ShowToolTips();

////@begin CExtendedBodyPropertiesPnl member variables
    wxString m_texture;
////@end CExtendedBodyPropertiesPnl member variables

	virtual bool TransferDataFromWindow();
};

#endif
    // _EXTENDEDBODYPROPERTIESPNL_H_
