#ifndef __IRREGULARBODY__
#define __IRREGULARBODY__

#include "extendedbody.h"

class IrregularBody: public ExtendedBody
{
public:

	IrregularBody( );
	IrregularBody( const IrregularBody & original );
	virtual ~IrregularBody() {};

	IrregularBody & operator=( const IrregularBody & right_side );

	virtual xmlNode * Serialize(xmlDoc * pXmlDoc, xmlNode * pXmlNode);
	virtual void Deserialize( xmlDoc * pXmlDoc, xmlNode * pXmlNode );

	std::string GetModel();
	void SetModel(std::string model);

protected:

	static void Assign2(Body * body, Body * right_side);
	
	std::string m_model;

	static std::string s_str3dModel;
	DECLARE_DYNAMIC_CLASS (IrregularBody)
};

#endif // __IRREGULARBODY__