/////////////////////////////////////////////////////////////////////////////
// Name:        IrregularBodyPropertiesPnl.h
// Purpose:     
// Author:      Jakub Schwarzmeier
// Modified by: 
// Created:     08/30/06 09:37:56
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _IRREGULARBODYPROPERTIESPNL_H_
#define _IRREGULARBODYPROPERTIESPNL_H_

#if defined(__GNUG__) && !defined(__APPLE__)
#pragma interface "IrregularBodyPropertiesPnl.cpp"
#endif

/*!
 * Includes
 */

////@begin includes
#include "wx/xrc/xmlres.h"
////@end includes

/*!
 * Forward declarations
 */

////@begin forward declarations
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
#define IDD_IRREGULARBODYPROPERTIES 10070
#define SYMBOL_CIRREGULARBODYPROPERTIESPNL_STYLE 0
#define SYMBOL_CIRREGULARBODYPROPERTIESPNL_TITLE _("Irregular Body")
#define SYMBOL_CIRREGULARBODYPROPERTIESPNL_IDNAME IDD_IRREGULARBODYPROPERTIES
#define SYMBOL_CIRREGULARBODYPROPERTIESPNL_SIZE wxSize(400, 300)
#define SYMBOL_CIRREGULARBODYPROPERTIESPNL_POSITION wxDefaultPosition
////@end control identifiers

/*!
 * Compatibility
 */

#ifndef wxCLOSE_BOX
#define wxCLOSE_BOX 0x1000
#endif
#ifndef wxFIXED_MINSIZE
#define wxFIXED_MINSIZE 0
#endif

/*!
 * CIrregularBodyPropertiesPnl class declaration
 */

class CIrregularBodyPropertiesPnl: public wxPanel
{    
    DECLARE_DYNAMIC_CLASS( CIrregularBodyPropertiesPnl )
    DECLARE_EVENT_TABLE()

public:
    /// Constructors
    CIrregularBodyPropertiesPnl( );
    CIrregularBodyPropertiesPnl( wxWindow* parent, wxWindowID id = SYMBOL_CIRREGULARBODYPROPERTIESPNL_IDNAME, const wxPoint& pos = SYMBOL_CIRREGULARBODYPROPERTIESPNL_POSITION, const wxSize& size = SYMBOL_CIRREGULARBODYPROPERTIESPNL_SIZE, long style = SYMBOL_CIRREGULARBODYPROPERTIESPNL_STYLE );

    /// Creation
    bool Create( wxWindow* parent, wxWindowID id = SYMBOL_CIRREGULARBODYPROPERTIESPNL_IDNAME, const wxPoint& pos = SYMBOL_CIRREGULARBODYPROPERTIESPNL_POSITION, const wxSize& size = SYMBOL_CIRREGULARBODYPROPERTIESPNL_SIZE, long style = SYMBOL_CIRREGULARBODYPROPERTIESPNL_STYLE );

    /// Creates the controls and sizers
    void CreateControls();

////@begin CIrregularBodyPropertiesPnl event handler declarations

    /// wxEVT_COMMAND_BUTTON_CLICKED event handler for ID_BROWSE
    void OnBrowseClick( wxCommandEvent& event );

////@end CIrregularBodyPropertiesPnl event handler declarations

////@begin CIrregularBodyPropertiesPnl member function declarations

    wxString GetModel() const { return m_model ; }
    void SetModel(wxString value) { m_model = value ; }

    /// Retrieves bitmap resources
    wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    wxIcon GetIconResource( const wxString& name );
////@end CIrregularBodyPropertiesPnl member function declarations

    /// Should we show tooltips?
    static bool ShowToolTips();

////@begin CIrregularBodyPropertiesPnl member variables
    wxString m_model;
////@end CIrregularBodyPropertiesPnl member variables

	virtual bool TransferDataFromWindow();
};

#endif
    // _IRREGULARBODYPROPERTIESPNL_H_
