#pragma once
#include "extendedbodytarget.h"

#include <schwarzmeier/std.h>

class CIrregularBodyTarget :
	public CExtendedBodyTarget
{
public:
	CIrregularBodyTarget(Body * body, CVisualization * visualization);
	virtual ~CIrregularBodyTarget(void);

	virtual void Render();
	virtual void OnContextTerminate();

protected:

	JakubSchwarzmeier::wx::CThreedModel * m_model;
};
