#pragma once

#include "ThreedCanvas.h"

class CRenderingTarget
{
public:
	CRenderingTarget(void);
	virtual ~CRenderingTarget(void);

	virtual void Render() = 0;
	virtual void PreRender() = 0;
	virtual void OnContextTerminate() = 0;

	virtual void DrawTrajectory() = 0;
	virtual void ClearTrajectory() = 0;

	virtual double GetFurthermostDistance() = 0;
	virtual double GetNearestDistance() = 0;
	virtual bool IsLarge() = 0;
};
