#pragma once

#include "rectangularobserver.h"

class CSphericalObserver :
	public CRectangularObserver
{
public:

	CSphericalObserver();
    virtual bool Create( wxWindow* parent, JakubSchwarzmeier::wx::COpenGLCanvas * pglCanvas, wxWindowID id = SYMBOL_COBSERVER_IDNAME + 2);
	virtual ~CSphericalObserver() {}

    virtual void CreateControls();

	void OnUpdateInputs();

	virtual bool UpdateInputs();

	virtual void OnCreateCamera();

	virtual void OnMouse(wxMouseEvent& event);

    void OnSetClick( wxCommandEvent& event );

	double m_distance, m_latitude, m_longitude;


	bool m_bMouseRightDrag;
	POINT m_posRMouse;

    void OnCArrowRightUpClick( wxCommandEvent& event );
    void OnCArrowUpClick( wxCommandEvent& event );
    void OnCArrowLeftClick( wxCommandEvent& event );
    void OnCArrowRightClick( wxCommandEvent& event );
    void OnCArrowDownClick( wxCommandEvent& event );
    void OnCArrowLeftDownClick( wxCommandEvent& event );

	DECLARE_DYNAMIC_CLASS( CSphericalObserver )
    DECLARE_EVENT_TABLE()
};
