/////////////////////////////////////////////////////////////////////////////
// Name:        app_resources.cpp
// Purpose:     
// Author:      Jakub Schwarzmeier
// Modified by: 
// Created:     08/13/06 14:58:56
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"

#if defined(__GNUG__) && !defined(__APPLE__)
#pragma implementation "app_resources.h"
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

////@begin includes
////@end includes

#include "app_resources.h"

////@begin XPM images
////@end XPM images

/*!
 * Resource functions
 */

////@begin AppResources resource functions
/*!
 * Menubar creation function for ID_FULLBAR
 */

wxMenuBar* AppResources::CreateFullMenubar()
{
    return wxXmlResource::Get()->LoadMenuBar(_T("ID_FULLBAR"));
}

/*!
 * Menubar creation function for ID_PARTIALBAR
 */

wxMenuBar* AppResources::CreatePartialMenubar()
{
    return wxXmlResource::Get()->LoadMenuBar(_T("ID_PARTIALBAR"));
}

/*!
 * Menu creation function for ID_CAMERASMENU
 */

wxMenu* AppResources::CreateCamerasPanelMenu()
{
    return wxXmlResource::Get()->LoadMenu(_T("ID_CAMERASMENU"));
}

////@end AppResources resource functions

/*!
 * Get bitmap resources
 */

wxBitmap AppResources::GetBitmapResource( const wxString& name )
{
    // Bitmap retrieval
////@begin AppResources bitmap retrieval
    wxUnusedVar(name);
    wxUnusedVar(name);
    wxUnusedVar(name);
    return wxNullBitmap;
////@end AppResources bitmap retrieval
}

/*!
 * Get icon resources
 */

wxIcon AppResources::GetIconResource( const wxString& name )
{
    // Icon retrieval
////@begin AppResources icon retrieval
    wxUnusedVar(name);
    wxUnusedVar(name);
    wxUnusedVar(name);
    return wxNullIcon;
////@end AppResources icon retrieval
}
