/////////////////////////////////////////////////////////////////////////////
// Name:        app_resources.h
// Purpose:     
// Author:      Jakub Schwarzmeier
// Modified by: 
// Created:     08/13/06 14:58:56
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _APP_RESOURCES_H_
#define _APP_RESOURCES_H_

#if defined(__GNUG__) && !defined(__APPLE__)
#pragma interface "app_resources.cpp"
#endif

/*!
 * Control identifiers
 */

////@begin control identifiers
////@end control identifiers

class AppResources
{
public:
    AppResources() {}

/*!
 * Resource functions
 */

////@begin AppResources resource functions
    /// Menubar creation function for ID_FULLBAR
    static wxMenuBar* CreateFullMenubar();

    /// Menubar creation function for ID_PARTIALBAR
    static wxMenuBar* CreatePartialMenubar();

    /// Menu creation function for ID_CAMERASMENU
    static wxMenu* CreateCamerasPanelMenu();

    /// Retrieves bitmap resources
    static wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    static wxIcon GetIconResource( const wxString& name );
////@end AppResources resource functions

};

#endif
    // _APP_RESOURCES_H_
