/************************************************************
*
*  Copyright (c) 2002-2004 Jakub Schwarzmeier
*
************************************************************/

#include "messages.h"

message::message( int n_iBufferSize )
{
	iBufferSize = n_iBufferSize+5;
}

void message::Add( double dNum )
{
	double * dPos = (double*) position;
	*dPos = dNum;
	position = (position + 8);
}

void message::Add( int iNum )
{
	int * iPos = (int*) position;
	*iPos = iNum;
	position = (position + 4);
}

void message::Add( BYTE byNum )
{
	BYTE * byPos = (BYTE*) position;
	*byPos = byNum;
	position = (position + sizeof(BYTE));
}

void message::Initialize( BYTE code )
{
	buffer = new BYTE[iBufferSize];
	position = buffer+4;
	*position = code;
	position = (position + 1); 
}

BYTE * message::GetBuffer()
{
	return buffer;
}

int message::GetBufferSize()
{
	return position - buffer;
}

void message::Finish()
{
	int size = position - buffer;
	int * iPos = (int*) buffer;		//  place info about size of message into beginning
	*iPos = size;
}

void crackmessage::Initialize( BYTE * n_buffer, int n_size )
{
	buffer = n_buffer;
	position = buffer;
	size = n_size;
}

BYTE crackmessage::GetCode()
{
	BYTE * pCode = position;
	position = position + sizeof(BYTE);
	return *pCode;
}

//  slo by cez sablony
double crackmessage::GetDouble()
{
	double * pDouble = (double*) position;
	position = position + sizeof(double);
	return *pDouble;
}

int crackmessage::GetInt()
{
	int * pInt = (int*) position;
	position = position + sizeof(int);
	return *pInt;
}

BYTE crackmessage::GetBYTE()
{
	BYTE * pBYTE = (BYTE*) position;
	position = position + sizeof(BYTE);
	return *pBYTE;
}

bool crackmessage::NextData()
{
	if (size < position-buffer)
		MessageBox( NULL, TEXT("Buffer je pes."), NULL, MB_OK );
	return (size != position-buffer);
}
