/************************************************************
*
*  Copyright (c) 2002-2004 Jakub Schwarzmeier
*
************************************************************/

#ifndef MESSAGES_H
#define MESSAGES_H

#include <windows.h>

#define CM_LIST							1
#define CM_INITIAL_DATA					2
#define CM_ROOT_AND_TOP_BRANCHES		3
#define CM_COMPUTING_REQUEST			4
#define CM_REQUEST_SATISFIED			5
#define CM_COMPUTATION_DONE				6
#define CM_READY_FOR_NEXT_COMPUTATION	7
#define CM_CONNECT_TO_OTHERS			8
#define CM_TERMINATE_SIMULATION			9

#define UI_COMPUTATION_DONE				1
#define UI_WAITING_FOR_CONNECT_PERMISSION 2

#define WM_LISTENMESSAGE	WM_USER + 1

class message
{
public:

	message( int n_iBufferSize );
	void Add( double dNum );
	void Add( int iNum );
	void Add( BYTE byNum );
	void Initialize( BYTE code );
	BYTE * GetBuffer();
	int GetBufferSize();
	void Finish();

protected:
	BYTE * buffer;
	BYTE * position;	//  unsigned char = 1 byte
	int iBufferSize;
};

class crackmessage
{
public:

	void Initialize( BYTE * n_buffer, int n_size );
	BYTE GetCode();
	double GetDouble();
	int GetInt();
	BYTE GetBYTE();
	bool NextData();

protected:

	BYTE * position;
	BYTE * buffer;
	int size;
};


#endif