/************************************************************
*
*  Copyright (c) 2002-2004 Jakub Schwarzmeier
*
************************************************************/

#ifndef openglview_h
#define openglview_h

#pragma warning(disable:4786)

#include "windows/opengl/opengl.h"
#include <map>
#include <deque>

class OpenGLView: public JakubSchwarzmeier::Windows::OpenGL
{
public:
	//  constructors are not inherited, we must write and call them explicitly
	OpenGLView(HWND n_hWnd): JakubSchwarzmeier::Windows::OpenGL(n_hWnd) {}

	virtual void Render();
	virtual void InitializeMasses();

private:

	typedef std::map<double, std::deque<BYTE> > cols;
	cols colors;
	static BYTE ColorBytes[][3];
};

#endif  //  openglview_h