/************************************************************
*
*  Copyright (c) 2002-2004 Jakub Schwarzmeier
*
************************************************************/

#include "winstring.h"
#include <tchar.h>

WinString::WinString(int n_iSize)
{
	size = n_iSize;
	buffer = new TCHAR[size+1];
	buffer[0] = '\0';
}

WinString::~WinString()
{
	delete [] buffer;
}

WinString::operator LPCTSTR() const
{ 
	return buffer; 
}

void WinString::AddToString( TCHAR * szString )
{
	lstrcat( buffer, szString );
}

void WinString::SetString( TCHAR * szString )
{
	lstrcpy( buffer, szString );
}

void WinString::AddToString( int iValue )
{
	TCHAR szTmp[512];
	_itot( iValue, szTmp, 10 );
	lstrcat( buffer, szTmp );
}

int WinString::GetMaximumLength() const
{
	return (size/sizeof(TCHAR))-1;
}

int WinString::lstrlen() const
{
	return ::lstrlen( buffer );
}


TCHAR * WinString::GetBuffer()
{
	return buffer;
}
