/************************************************************
*
*  Copyright (c) 2002-2004 Jakub Schwarzmeier
*
************************************************************/

#ifndef DISTRIBUTION_HALO_H
#define DISTRIBUTION_HALO_H

#include "data\list.h"
#include "BarnesHut\bh.h"

class HaloModel
{
public:

	static void Initialize(double n_totalMass, double n_rhmax, double n_ah);
	static bool Create(JakubSchwarzmeier::Data::RList< JakubSchwarzmeier::BarnesHut::Leave > & list, const int & nBodies);

private:

	static double rDistribution(double r);
	static double vCurve(double r);

	static double totalMass;

	static double rhmax;
	static double ah;
};

#endif	//  DISTRIBUTION_HALO_H