#ifndef ASTRONOMY_H
#define ASTRONOMY_H

#ifndef _LIB
	#ifdef _DEBUG
		#pragma comment(lib, "astronomy-debug.lib")
	#else
		#pragma comment(lib, "astronomy-release.lib")
	#endif
#endif


//  #pragma warning( push )
#pragma warning(disable:4786)		//  disable STL's too long debug info warning 
//  #pragma warning(disable: 4267)		//  disable warning "possible loss of data"

#include "../../src/astronomy/spice/spice.h"
#include "../../src/astronomy/calendar/datetime.h"
#include "../../src/astronomy/calendar/valtime.h"

//  #pragma warning( pop )

#endif //  ASTRONOMY_H
