#pragma once

// CCometPropertyPage dialog

#include "resource.h"
#include <SFC.Graphics.h>

class CObserverPageDlg : public CPropertyPage
{
	DECLARE_DYNAMIC(CObserverPageDlg)

public:
	CObserverPageDlg(JakubSchwarzmeier::SFC::Graphics::CObserver * observer);
	virtual ~CObserverPageDlg();

// Dialog Data
	enum { IDD = IDD_OBSERVER };

	virtual void OnOK();
	virtual BOOL OnInitDialog( );

	//  class variables

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	JakubSchwarzmeier::SFC::Graphics::CObserver * m_pObserver;

	DECLARE_MESSAGE_MAP()
public:
protected:
	double m_positionStep;
	double m_angleStep;
public:
	afx_msg void OnBnClickedArrowLeft();
	afx_msg void OnBnClickedArrowRight();
	afx_msg void OnBnClickedArrowUp();
	afx_msg void OnBnClickedArrowDown();
	afx_msg void OnBnClickedHeadingLeft();
	afx_msg void OnBnClickedHeadingRight();
	afx_msg void OnBnClickedPitchUp();
	afx_msg void OnBnClickedPitchDown();
	afx_msg void OnBnClickedRollCcw();
	afx_msg void OnBnClickedRollCw();
	afx_msg void OnEnUpdatePositionStep();
	afx_msg void OnEnUpdateAngleStep();
	afx_msg void OnBnClickedArrowLeftDown();
	afx_msg void OnBnClickedArrowRightUp();
};
