#pragma once

#include "httparchetype.h"

namespace JakubSchwarzmeier
{
	namespace MFC
	{
		namespace Net
		{
			namespace Sockets
			{
				class AFX_EXT_CLASS CHttpRequest: public CHttpArchetype
				{
				public:
					// Construction/destruction
					CHttpRequest();
					virtual ~CHttpRequest();

					// Implementation

					virtual void Process();

					// Overridables
					// Attributes
	                typedef CStringA (* GETWEBSERVICENAME)();
	                typedef bool (* EXECUTEWEBMETHOD)(JakubSchwarzmeier::MFC::System::IO::CBuffer&,
						CStringW,
						JakubSchwarzmeier::MFC::System::IO::CBuffer&);
	                typedef void (* WSDL)(JakubSchwarzmeier::MFC::System::IO::CBuffer&);

				protected:
					// Messages

				private:

					bool GetWebServiceFromUrl(CStringA & strURL, CStringA & strServiceName);
					void GetWebMethodFromSOAPAction(CStringA & strSoapActionA, CStringW & strSoapActionW);
					bool IsWSDLRequest(CStringA & strURL);
					bool ConvertURLToLocal(CStringA & strURL, CStringA & strReqFileName);

				};	//  end class CHttpRequest

			}	//  end namespace Sockets
		
		}	//  end namespace Net

	} 	//  end namespace MFC

}	//  end namespace JakubSchwarzmeier

