#pragma once

namespace JakubSchwarzmeier
{
	namespace MFC
	{
		namespace Net
		{
			namespace Sockets
			{
				class AFX_EXT_CLASS IProtocol
				{
				public:
					// Construction/destruction		
					virtual ~IProtocol() {}

					// Implementation
					// Overridables

					//  returns true if message isn't complete
					virtual bool HandleRequest(const char n_buffer[], const DWORD n_dwSize, 
						/*[in/out]*/DWORD & dwPosition, char ** outData, DWORD & dwOutDataSize) = 0;
					// Attributes
	 
				protected:
					// Messages


				};	//  end class CSocketServer

			}	//  end namespace Sockets
		
		}	//  end namespace Net

	} 	//  end namespace MFC

}	//  end namespace JakubSchwarzmeier

