/************************************************************
*
*  Copyright (c) 2005 Jakub Schwarzmeier
*
************************************************************/

#ifndef _WX_DOCCHILDFRAME_H_
#define _WX_DOCCHILDFRAME_H_

#include <wx/docmdi.h>
#include "SerializeReaderWriter.h"

namespace JakubSchwarzmeier
{
	namespace wx
	{
		class CDocChildFrame: public ::wxDocMDIChildFrame
		{
		public:

			CDocChildFrame();

			CDocChildFrame(wxDocument *doc, wxView *view, wxMDIParentFrame *frame);

			void Create(wxDocument *doc, wxView *view, wxMDIParentFrame *frame, bool bDeserialize);

			virtual ~CDocChildFrame();

			virtual bool OnSerialize( JakubSchwarzmeier::wx::CSerializeReaderWriter * dir );

			void OnPaint( wxPaintEvent& event );
			void OnEraseBkgnd( wxEraseEvent& event );

			DECLARE_EVENT_TABLE()
			DECLARE_DYNAMIC_CLASS(CDocChildFrame)
		};	//  end class wxOpenGLView
		
	}	//  end namespace wx

}	//  end namespace JakubSchwarzmeier

#endif // _WX_DOCCHILDFRAME_H_