/************************************************************
*
*  Copyright (c) 2005 Jakub Schwarzmeier
*
************************************************************/

#ifndef _WX_OPENGLVIEW_H_
#define _WX_OPENGLVIEW_H_

#include "view.h"
#include "openglcanvas.h"

namespace JakubSchwarzmeier
{
	namespace wx
	{
		class COpenGLView: public CView
		{
		public:

			COpenGLView();
			virtual ~COpenGLView();

			virtual void SetFrame(wxWindow * frame);

			virtual void OnDraw(wxDC * dc);
			virtual bool OnSerialize( JakubSchwarzmeier::wx::CSerializeReaderWriter * dir );

			COpenGLCanvas * GetCanvas();

		protected:

			COpenGLCanvas * m_openGLCanvas;

			DECLARE_DYNAMIC_CLASS(COpenGLView)
			DECLARE_EVENT_TABLE()
		};
		
	}	//  end namespace wx

}	//  end namespace JakubSchwarzmeier

#endif // _WX_OPENGLVIEW_H_