/*
*
*  Copyright (c) 2002-2005 Jakub Schwarzmeier
*
************************************************************/

#include "stdwx.h"

#include "view.h"
#include "../../include/schwarzmeier/wx.h"

using namespace JakubSchwarzmeier::wx;

IMPLEMENT_DYNAMIC_CLASS (CView, wxView)

CView::CView()
{
}

CView::~CView()
{
	if (m_viewFrame != NULL)	m_viewFrame->Destroy();
}

void CView::OnDraw(wxDC & dc)
{
}

void CView::OnDraw(wxDC * pDC)
{
	//  in wxView is OnDraw declared as pure virtual function
}

void CView::OnUpdate(wxView* sender, wxObject* hint)
{
	if (GetFrame() != NULL)  GetFrame()->Refresh();
	
	wxView::OnUpdate(sender, hint);
}

void CView::OnEraseBkgnd(wxDC * pDC)
{
	return;
}


