// PhaethonView.cpp : implementation of the CPhaethonView class
//

#include "stdafx.h"
#include "PhaethonView.h"

#include "PhaethonApp.h"
#include "PhaethonDoc.h"

#include "ThreedCanvas.h"

// CPhaethonView

IMPLEMENT_DYNAMIC_CLASS(CPhaethonView, JakubSchwarzmeier::wx::COpenGLView)


// CPhaethonView construction/destruction

CPhaethonView::CPhaethonView()
{
}


CPhaethonView::~CPhaethonView()
{
}

//virtual
void CPhaethonView::SetFrame(wxWindow * frame)
{
//	Do not call father's SetFrame(frame) 
	CView::SetFrame(frame);

	if ((m_openGLCanvas != NULL) && (JakubSchwarzmeier::wx::CSerializeReaderWriter::IsResurrection() == true))
	{
		CThreedCanvas * canvas = wxDynamicCast(m_openGLCanvas, CThreedCanvas);
		canvas->Create( GetFrame(), true );
	}
	else
	if (m_openGLCanvas == NULL)
	{
		m_openGLCanvas = new CThreedCanvas( GetFrame() );
	}
}

void CPhaethonView::OnUpdate(wxView* sender, wxObject* hint)
{
	COpenGLView::OnUpdate( sender, hint );
/*
	CPhaethonDoc * digalexDoc = ::wxGetApp().GetDocument();
	int max = digalexDoc->GetStarArchive()->GetCount();

	CMainFrame * frame = ::wxGetApp().GetMainFrame();

	frame->SetSliderRange( max );
	frame->OnSliderUpdated( wxScrollEvent() );
	*/
}

