#include "stdafx.h"

#include "Star.h"

IMPLEMENT_DYNAMIC_CLASS (Star, ExtendedBody)

Star::Star()
{
    //  dispatch
	mapDispatch.insert( MAPDISPATCH::value_type( this->GetClassInfo() , Assign2 ) );
}

Star::Star( const Star & original )
{
	operator=( original );
}

/* static */
void Star::Assign2(Body * body, Body * right_side) 
{
	//  retype
	Star * comet_left = dynamic_cast<Star*>( body );
	Star * comet_right = dynamic_cast<Star*>( right_side );
	comet_left->operator=( *comet_right );
}

Star & Star::operator=( const Star & right_side )
{
	if ( &right_side == this )  return (*this);

	ExtendedBody::operator=( right_side );

	return *this;
}